Screamer Forums and Screamer gallery have returned.

The Screamer Forums will likely remain read only unless it's known that it will be active, since forums in general are kind of dead because of Discord.

MediaWiki:Vector.css: Difference between revisions

From Screamer Wiki
Jump to navigation Jump to search
Likeicare (talk | contribs)
No edit summary
Likeicare (talk | contribs)
No edit summary
Line 62: Line 62:
   padding-left: 5px;
   padding-left: 5px;
   padding-right: 5px;
   padding-right: 5px;
   background-color: #807571;
   background-color: #4d4543;
}
}


Line 74: Line 74:
.portable-infobox .pi-data:nth-child(even) .pi-data-label,
.portable-infobox .pi-data:nth-child(even) .pi-data-label,
.portable-infobox .pi-data:nth-child(even) .pi-data-value {
.portable-infobox .pi-data:nth-child(even) .pi-data-value {
   background-color: #807571;
   background-color: #4d4543;
}
}



Revision as of 18:30, 6 April 2023

/* CSS placed here will affect users of the Vector skin */

.portable-infobox {
  background-color: #2C2828;
  border: 2px solid #a62e10;
  box-shadow: 0 1px 2px rgba(0,0,0,0.15);
  margin: 10px;
  padding: 10px;
  width: 280px;
}

.portable-infobox .pi-item-spacing {
  border-bottom: 4px solid #2C2828;
}

.portable-infobox .pi-title {
  color: #fdfdee;
  background-color: #a62e10;
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 10px;
  padding: 0px 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: auto;
  line-height: normal;
  font-style: italic;
}

.portable-infobox .pi-header {
  color: #fdfdee;
  background-color: #a62e10;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 25px;
  line-height: 25px;
}

/* Infobox label */
.portable-infobox .pi-data-label {
  background-color: #5a5554;
  padding-left: 5px;
  padding-right: 5px;
  flex: 0 0 30%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: #fdfdee;
}

.portable-infobox .pi-data {
  font-weight: bold;
  color: #fdfdee;
  padding: 5px 10px;
  padding-left: 5px;
  padding-right: 5px;
  background-color: #4d4543;
}

/* Infobox label and data colors */
.portable-infobox .pi-data:nth-child(odd) .pi-data-label,
.portable-infobox .pi-data:nth-child(odd) .pi-data-value {
  background-color: #5a5554; 
}

/* Second label and data */
.portable-infobox .pi-data:nth-child(even) .pi-data-label,
.portable-infobox .pi-data:nth-child(even) .pi-data-value {
  background-color: #4d4543;
}

.portable-infobox .pi-image {
  display: block;
  margin: 0 auto;
  max-width: 100%;
  height: auto;
  margin-bottom: 5px;
}

.portable-infobox .pi-data-value a {
  color: #0645ad;
  text-decoration: none;
}

.portable-infobox .pi-data-value a:hover {
  text-decoration: underline;
}